net.snowflake.client.jdbc.telemetry

## Interface Telemetry

All Known Implementing Classes:
  NoOpTelemetryClient, TelemetryClient

    public interface Telemetry

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addLogToBatch(TelemetryData log)` Attempt to add log to batch, and suppress exceptions thrown in case of failure
`void` `close()` Close telemetry connector and send any unsubmitted logs
`boolean` `sendBatch()` Send all cached logs to server
`void` `tryAddLogToBatch(TelemetryData log)` Attempt to add log to batch, and suppress exceptions thrown in case of failure

### Method Detail

#### tryAddLogToBatch

    void tryAddLogToBatch(TelemetryData log)

Attempt to add log to batch, and suppress exceptions thrown in case of failure

Parameters:
  `log` - entry to add

#### addLogToBatch

    void addLogToBatch(TelemetryData log)
                throws IOException

Attempt to add log to batch, and suppress exceptions thrown in case of failure

Parameters:
  `log` - entry to add
Throws:
  `IOException`

#### close

    void close()
        throws IOException

Close telemetry connector and send any unsubmitted logs

Throws:
  `IOException` - if closed or uploading batch fails

#### sendBatch

    boolean sendBatch()
               throws IOException

Send all cached logs to server

Returns:
  whether the logs were sent successfully
Throws:
  `IOException` - if closed or uploading batch fails